import {
	defineConfig
} from 'vite'
import uni from '@dcloudio/vite-plugin-uni'

export default defineConfig({
	plugins: [
		uni()
	],
	server: {
		proxy: {
			'/alumnus/alumni_api/alumni/api': {
				// 线上地址
				target: 'https://chtech.ncjti.edu.cn/alumnus/alumni_api/alumni/api',
				// 本地地址
				// target: 'http://192.168.161.220:8687/alumni/api',
				changeOrigin: true,
				rewrite: path => path.replace(/^\/alumnus\/alumni_api\/alumni\/api/, ''),
			}
		}
	}
})